- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# vmware_guest_customization_facts – Gather facts about VM customization specifications

New in version 2.8.

- DEPRECATED
- Synopsis
- Requirements
- Parameters
- Notes
- Examples
- Return Values
- Status

## DEPRECATED

Removed in Ansible:
| version: 2.13
Why: | Deprecated in favour of `_info` module.
Alternative: | Use vmware_guest_customization_info instead.

## Synopsis

- This module can be used to gather facts about customization specifications.
- All parameters and VMware object names are case sensitive.

## Requirements

The below requirements are needed on the host that executes this module.

- python >= 2.6
- PyVmomi

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
hostname string |  | The hostname or IP address of the vSphere vCenter or ESXi server. If the value is not specified in the task, the value of environment variable `VMWARE_HOST` will be used instead. Environment variable support added in Ansible 2.6.
password string |  | The password of the vSphere vCenter or ESXi server. If the value is not specified in the task, the value of environment variable `VMWARE_PASSWORD` will be used instead. Environment variable support added in Ansible 2.6. aliases: pass, pwd
port integer added in 2.5 | Default: 443 | The port number of the vSphere vCenter or ESXi server. If the value is not specified in the task, the value of environment variable `VMWARE_PORT` will be used instead. Environment variable support added in Ansible 2.6.
proxy_host string added in 2.9 |  | Address of a proxy that will receive all HTTPS requests and relay them. The format is a hostname or a IP. If the value is not specified in the task, the value of environment variable `VMWARE_PROXY_HOST` will be used instead. This feature depends on a version of pyvmomi greater than v6.7.1.2018.12
proxy_port integer added in 2.9 |  | Port of the HTTP proxy that will receive all HTTPS requests and relay them. If the value is not specified in the task, the value of environment variable `VMWARE_PROXY_PORT` will be used instead.
spec_name string |  | Name of customization specification to find.
username string |  | The username of the vSphere vCenter or ESXi server. If the value is not specified in the task, the value of environment variable `VMWARE_USER` will be used instead. Environment variable support added in Ansible 2.6. aliases: admin, user
validate_certs boolean | Choices: no yes ← | Allows connection when SSL certificates are not valid. Set to `false` when certificates are not trusted. If the value is not specified in the task, the value of environment variable `VMWARE_VALIDATE_CERTS` will be used instead. Environment variable support added in Ansible 2.6. If set to `yes`, please make sure Python >= 2.7.9 is installed on the given machine.

## Notes

Note

- Tested on vSphere 6.0 and 6.5

## Examples

    - name: Gather facts about all customization specification
      vmware_guest_customization_facts:
        hostname: "{{ vcenter_hostname }}"
        username: "{{ vcenter_username }}"
        password: "{{ vcenter_password }}"
        validate_certs: no
      delegate_to: localhost
      register: all_custom_spec_facts

    - name: Gather facts about customization specification with the given name
      vmware_guest_customization_facts:
        hostname: "{{ vcenter_hostname }}"
        username: "{{ vcenter_username }}"
        password: "{{ vcenter_password }}"
        validate_certs: no
        spec_name: custom_linux_spec
      delegate_to: localhost
      register: custom_spec_facts

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
custom_spec_facts dictionary | always | metadata about the customization specification Sample: {'assignip-eee0d684-44b7-457c-8c55-2585590b0d99': {'change_version': '1523438001', 'description': 'sample description', 'dns_server_list': [], 'dns_suffix_list': [], 'domain': 'None', 'hostname': 'sample1', 'hw_clock_utc': None, 'last_updated_time': '2018-04-11T09:13:21+00:00', 'name': 'sample', 'nic_setting_map': [{'dns_domain': None, 'gateway': [], 'ip_address': '192.168.10.10', 'net_bios': None, 'nic_dns_server_list': [], 'primary_wins': None, 'secondry_wins': None, 'subnet_mask': '255.255.255.0'}], 'time_zone': None, 'type': 'Linux'}}

## Status

- This module will be removed in version 2.13. [deprecated]
- For more information see DEPRECATED.

### Authors

- Abhijeet Kasurde (@Akasurde)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.